Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.dns.zones.get_statistics(
name="name",
)
print(response.requests)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.DNS.Zones.GetStatistics(
context.TODO(),
"name",
dns.ZoneGetStatisticsParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Requests)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/zones/{name}/statistics \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/zones/{name}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/dns/v2/zones/{name}/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/dns/v2/zones/{name}/statistics")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/dns/v2/zones/{name}/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"requests": {},
"total": 123
}This response has no body data.Zones
Get Zone Statistics
Statistics of DNS zone in common and by record types.
To get summary statistics for all zones use all instead of zone name in path.
Note: Consumption statistics is updated in near real-time as a standard practice. However, the frequency of updates can vary, but they are typically available within a 30 minutes period. Exceptions, such as maintenance periods, may delay data beyond 30 minutes until servers resume and backfill missing statistics.
GET
/
dns
/
v2
/
zones
/
{name}
/
statistics
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.dns.zones.get_statistics(
name="name",
)
print(response.requests)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.DNS.Zones.GetStatistics(
context.TODO(),
"name",
dns.ZoneGetStatisticsParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Requests)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/zones/{name}/statistics \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/zones/{name}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/dns/v2/zones/{name}/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/dns/v2/zones/{name}/statistics")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/dns/v2/zones/{name}/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"requests": {},
"total": 123
}This response has no body data.Authorizations
Query Parameters
Response
StatisticsZoneResponse
StatisticsZoneResponse
Was this page helpful?